## org.eclipse.wst.server.core.util
Class ServerLifecycleAdapter

    java.lang.Object
      org.eclipse.wst.server.core.util.ServerLifecycleAdapter

All Implemented Interfaces:
  IServerLifecycleListener

    public class ServerLifecycleAdapter

extends java.lang.Object
implements IServerLifecycleListener

Helper class which implements the IServerLifecycleListener interface with empty methods.

Since:
  1.0
See Also:
  `IServerLifecycleListener`

Constructor Summary
`ServerLifecycleAdapter()`

Method Summary
`void` `serverAdded(IServer server)` A new server has been created.
`void` `serverChanged(IServer server)` An existing server has been updated or modified.
`void` `serverRemoved(IServer server)` A existing server has been removed.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerLifecycleAdapter

    public ServerLifecycleAdapter()

Method Detail

### serverAdded

    public void serverAdded(IServer server)

  Description copied from interface: `IServerLifecycleListener`
  A new server has been created.

  Specified by:
    `serverAdded` in interface `IServerLifecycleListener`
  Parameters:
    `server` - the new server
  See Also:
    `IServerLifecycleListener.serverAdded(IServer)`

### serverChanged

    public void serverChanged(IServer server)

  Description copied from interface: `IServerLifecycleListener`
  An existing server has been updated or modified.

  Specified by:
    `serverChanged` in interface `IServerLifecycleListener`
  Parameters:
    `server` - the modified server
  See Also:
    `IServerLifecycleListener.serverChanged(IServer)`

### serverRemoved

    public void serverRemoved(IServer server)

  Description copied from interface: `IServerLifecycleListener`
  A existing server has been removed.

  Specified by:
    `serverRemoved` in interface `IServerLifecycleListener`
  Parameters:
    `server` - the removed server
  See Also:
    `IServerLifecycleListener.serverRemoved(IServer)`